# Ball Trajectory Calculations

- `V` is initial ball velocity
- `h` is the launch angle
- `g` is gravity

## Flight Time
```
t=(2*V*sin(h))/g
```

## Max Height
```
z=((V^2)*sin^2(h))/2g
```

## Total Distance
```
d=((V^2)*sin(2h))/g
```

# Terminology

## Angle of Attack (AoA)
The up or down movement of the club as it impacts the ball and the angle is
relative to the ground. Drivers should have a positive AoA as you hit up on
them, irons are negative as you hit down on them. This is basically the
positioning of the player forward and backward on the ball. The following chart
uses values from -10 to 10 degrees.

[Chart](https://southamptongolfclub.com/wp-content/uploads/Ping-Launch-Angle.jpg)

## Dynamic Loft
The vertical angle of the club face at the center-point of contact between the
club and ball at the time of maximum compression. Dynamic Loft is the amount of
loft on the club face at impact and is measured relative to the horizon. It's
the degree/angle of the club face.

## Launch Angle
The ball's launch angle is **85% dynamic loft** + **15% angle of attack**.
```
A(L)=(.85)*A(l) + (.15)*A(a)
```
- `A(L)` is the launch angle
- `A(l)` is the dynamic loft angle
- `A(a)` is the angle of attack

## Swing Speed
The speed of the golf club, generally measured in mph.

## Ball Speed
The speed of the ball immediately after impact from a golf club, generally
measured in mph. Calculation:
```
Vb = Vo * cos(t)
```
- Vb = Velocity of the ball
- Vo = Velocity of the swing
- t = Launch Angle

# Course Measurements
As it stands, with the example/trial course I made if **1 pixel equals 1 yard**
then the hole is 512 yards, which would be an appropriately sized par-5. This
seems proper.
